package domain

type AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult) SetMessage(v string) *AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult) SetDatas(v []AlibabaWdkMarketingBuygiftItemAddAsyncItemBuyGiftSku) *AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingBuygiftItemAddAsyncMarketResult {
	s.Success = &v
	return s
}
